clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

- All
- Functions
- Variables
- Typedefs
- Macros

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- w

### - a -

- addModuleDescription() : ModuleAssistant.cpp
- AnalyzeTemporaryDtors() : ClangTidyMain.cpp
- applyFormatting() : ClangApplyReplacementsMain.cpp
- applyReplacements() : ClangApplyReplacementsMain.cpp

### - b -

- BlockCheckHeaderListOnly() : Modularize.cpp

### - c -

- CC1Arguments() : Modularize.cpp , PPTrace.cpp
- Checks() : ClangTidyMain.cpp
- ClangQueryCategory() : ClangQuery.cpp
- ClangRenameCategory() : ClangRename.cpp
- ClangTidyCategory() : ClangTidyMain.cpp
- ClangTidyHelp() : ClangTidyMain.cpp
- CommandFiles() : ClangQuery.cpp
- Commands() : ClangQuery.cpp
- CommonHelp() : ClangTidyMain.cpp , ClangQuery.cpp , ToolTemplate.cpp
- Config() : ClangTidyMain.cpp
- ConsumeGlob() : ClangTidyDiagnosticConsumer.cpp
- ConsumeNegativeIndicator() : ClangTidyDiagnosticConsumer.cpp
- CoverageCheckOnly() : Modularize.cpp
- createModuleMap() : Modularize.h , ModuleAssistant.cpp

### - d -

- Directory() : ClangApplyReplacementsMain.cpp
- DisplayFileLists() : Modularize.cpp
- DoFormat() : ClangApplyReplacementsMain.cpp
- DumpConfig() : ClangTidyMain.cpp

### - e -

- eatDiagnostics() : ApplyReplacements.cpp
- EnableCheckProfile() : ClangTidyMain.cpp
- ensureNoCollisionWithReservedName() : ModuleAssistant.cpp
- ExportFixes() : ClangTidyMain.cpp

### - f -

- findInputFile() : Modularize.cpp
- Fix() : ClangTidyMain.cpp
- FixErrors() : ClangTidyMain.cpp
- FormatStyleConfig() : ClangApplyReplacementsMain.cpp
- FormatStyleOpt() : ClangApplyReplacementsMain.cpp
- FormattingCategory() : ClangApplyReplacementsMain.cpp

### - g -

- getModularizeArgumentsAdjuster() : Modularize.cpp
- getRewrittenData() : ClangApplyReplacementsMain.cpp
- getSourceLocationString() : PPCallbacksTracker.cpp

### - h -

- HeaderFilter() : ClangTidyMain.cpp
- HeaderPrefix() : Modularize.cpp

### - i -

- IgnoreCallbacks() : PPTrace.cpp
- IncludePaths() : Modularize.cpp
- Inplace() : ClangRename.cpp
- isContainer() : ContainerSizeEmptyCheck.cpp

### - l -

- LineFilter() : ClangTidyMain.cpp
- ListChecks() : ClangTidyMain.cpp
- ListFileNames() : Modularize.cpp
- loadModuleDescriptions() : ModuleAssistant.cpp

### - m -

- main() : ClangTidyMain.cpp , ClangApplyReplacementsMain.cpp , ClangQuery.cpp , ClangRename.cpp , Modularize.cpp , PPTrace.cpp , ToolTemplate.cpp
- ModuleMapPath() : Modularize.cpp

### - n -

- NewName() : ClangRename.cpp
- NoCoverageCheck() : Modularize.cpp

### - o -

- OutputFileName() : PPTrace.cpp
- outputPPTrace() : PPTrace.cpp

### - p -

- PrintLocations() : ClangRename.cpp
- PrintName() : ClangRename.cpp
- printVersion() : ClangApplyReplacementsMain.cpp
- PrintVersion() : ClangRename.cpp
- ProblemFilesList() : Modularize.cpp

### - r -

- RemoveTUReplacementFiles() : ClangApplyReplacementsMain.cpp
- replaceDotDot() : ModularizeUtilities.cpp
- ReplacementCategory() : ClangApplyReplacementsMain.cpp
- RootModule() : Modularize.cpp

### - s -

- SourcePaths() : PPTrace.cpp
- SymbolOffset() : ClangRename.cpp
- SystemHeaders() : ClangTidyMain.cpp

### - t -

- ToolTemplateCategory() : ToolTemplate.cpp

### - w -

- writeModuleMap() : ModuleAssistant.cpp